geos::operation::predicate::RectangleContains Class Reference

Optimized implementation of spatial predicate "contains" for cases where the first Geometry is a rectangle. More...

`#include <RectangleContains.h>`

## Public Member Functions

| RectangleContains (const geom::Polygon &rect)
bool | contains (const geom::Geometry &geom)
| RectangleContains (const RectangleContains &other)=delete
RectangleContains & | operator= (const RectangleContains &rhs)=delete

## Static Public Member Functions

static bool | contains (const geom::Polygon &rect, const geom::Geometry &b)

## Detailed Description

Optimized implementation of spatial predicate "contains" for cases where the first Geometry is a rectangle.

As a further optimization, this class can be used directly to test many geometries against a single rectangle.

## Constructor & Destructor Documentation

## RectangleContains()

geos::operation::predicate::RectangleContains::RectangleContains | ( | const geom::Polygon & | rect | ) |

inline

Create a new contains computer for two geometries.

Parameters

  rect | a rectangular geometry

The documentation for this class was generated from the following file:

- RectangleContains.h